/*
 File: prefile_include.h
 Date and Time: Fri Jan 30 18:55:20 2015 
*/
#ifndef __prefile_include_h__
#define __prefile_include_h__ 1
#include "yacco2.h"
#include "yacco2_T_enumeration.h"
#include "yacco2_k_symbols.h"
#include "yacco2_err_symbols.h"
#include "yacco2_terminals.h"
#include "yacco2_characters.h"

#include "ws.h"
#include "eol.h"
#include "c_string.h"
using namespace NS_yacco2_terminals;
  
extern yacco2::Thread_entry ITH_prefile_include;

extern yacco2::State S1_Cprefile_include;
namespace NS_prefile_include {
yacco2::THR _YACCO2_CALL_TYPE
TH_prefile_include(yacco2::Parser* Caller);// called thread
yacco2::THR_result _YACCO2_CALL_TYPE
PROC_TH_prefile_include(yacco2::Parser* Caller);// called thread's twin the procedure
using namespace NS_yacco2_T_enum;// enumerate
using namespace yacco2;
struct fsm_rules_reuse_table_type{
 fsm_rules_reuse_table_type();
 int no_rules_entries_;
 Per_rule_s_reuse_table* per_rule_s_table_[4];
};
class Cprefile_include: public yacco2::CAbs_fsm {
 public:
  enum rules_and_subrules{
   start_of_rule_list = NS_yacco2_T_enum::T_Enum::sum_total_T
   ,R_Rprefile_include_ = 569//start_of_rule_list + 0
    ,rhs1_Rprefile_include_ = 1
   ,R_Reof_ = 570//start_of_rule_list + 2
    ,rhs1_Reof_ = 2
    ,rhs2_Reof_ = 3
   ,R_Rpossible_ws_ = 571//start_of_rule_list + 4
    ,rhs1_Rpossible_ws_ = 4
    ,rhs2_Rpossible_ws_ = 5
   ,R_Rfile_string_ = 572//start_of_rule_list + 6
    ,rhs1_Rfile_string_ = 6
    ,rhs2_Rfile_string_ = 7
    ,rhs3_Rfile_string_ = 8
    ,rhs4_Rfile_string_ = 9
    ,rhs5_Rfile_string_ = 10
  };
  //no of la sets = 3
  //no of states = 17
  Cprefile_include();
  ~Cprefile_include();
  void op();
  bool failed();
  void reduce_rhs_of_rule
      (yacco2::UINT Sub_rule_no,yacco2::Rule_s_reuse_entry** Recycled_rule);
  fsm_rules_reuse_table_type fsm_rules_reuse_table;
  static int rhs_to_rules_mapping_[11];
  
    public:
		T_c_string* chrs_;
		yacco2::CAbs_lr1_sym* error_raised_;
  
 };
struct Rprefile_include;
struct Reof;
struct Rpossible_ws;
struct Rfile_string;
struct Rprefile_include:public yacco2::CAbs_lr1_sym {
  Rprefile_include(yacco2::Parser* P);
  void op();
  public:
};

struct Reof:public yacco2::CAbs_lr1_sym {
  Reof(yacco2::Parser* P);
  public:
};

struct Rpossible_ws:public yacco2::CAbs_lr1_sym {
  Rpossible_ws(yacco2::Parser* P);
  public:
};

struct Rfile_string:public yacco2::CAbs_lr1_sym {
  Rfile_string(yacco2::Parser* P);
  public:
  void sr1();
  void sr2();
  void sr3();
  void sr4();
  void sr5();
};

} // end of namespace

#endif
